{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
    <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>
    <form method="post" class="form-row">
        {% if error %}
            <div class="alert alert-danger col-12">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}

        <div class="col-6">
            <label for="inputEmail" class="sr-only">Email</label>
            <input type="text" value="{{ last_username }}" name="_username" id="inputEmail" class="form-control"
                   placeholder="Login" required autofocus>
        </div>
        <div class="col-6">
            <label for="inputPassword" class="sr-only">Password</label>
            <input type="password" name="_password" id="inputPassword" class="form-control" placeholder="Password"
                   required>
        </div>
        <input type="hidden" name="_csrf_token"
               value="{{ csrf_token('authenticate') }}"
        >
        <div class="col-6">
            <input class="mt-2 btn btn-lg btn-primary" type="submit" value="Submit" >
        </div>
    </form>
{% endblock %}
